> For the complete documentation index, see [llms.txt](https://docs.altum.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altum.ai/taxeren-en-waarderen/foto-labelen-api/authenticatie-invoer-en-resultaat.md).

# Authenticatie, invoer en resultaat

{% hint style="info" %} <mark style="color:$danger;">**Verouderd**</mark>\ <mark style="color:$danger;">Deze API is verouderd en wordt niet langer aanbevolen voor nieuwe implementaties. Bestaande integraties blijven mogelijk werken. Neem contact op met Altum AI voor advies over de aanbevolen configuratie.</mark>
{% endhint %}

## IMG

<mark style="color:green;">`POST`</mark> `https://api.altum.ai/labelling/img`

Met dit eindpunt kunt u een afbeelding uploaden om te labelen.

#### Headers

| Name                                        | Type   | Description                                                                                              |
| ------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | string | Unieke API-sleutel van Altum. Maak er een op [https://platform.altum.ai](https://platform.altum.ai/auth) |
| Content-Type                                | string | multipath/form-data                                                                                      |

#### Request Body

| Name                                    | Type   | Description                                                                                                |
| --------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------------- |
| image<mark style="color:red;">\*</mark> | object | De afbeelding die in de aanvraag moet worden verzonden, moet als multipath/form-data-type worden geüpload. |

{% tabs %}
{% tab title="422: Unprocessable Entity Verkeerd invoerformaat" %}

```
{
	"detail": [
		{
			"loc": [
				"body",
				"image"
			],
			"msg": "field required",
			"type": "value_error.missing"
		}
	]
}
```

{% endtab %}

{% tab title="401: Unauthorized Geen toegang" %}

```
{
    'Output': 'Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request.'
}
```

{% endtab %}

{% tab title="500: Internal Server Error Service is niet beschikbaar en/of niet beschikbaar" %}

```
{
	"message": "Internal server error"
}
```

{% endtab %}

{% tab title="403: Forbidden Verboden" %}

```
{
	"message": "Missing Authentication Token"
}
```

{% endtab %}

{% tab title="200: OK Succesvolle reactie" %}

<pre><code>{
	"Output": {
		"Image_Class": "outdoor",
		"ConfidencePercent_Image_Class": "99.99",
		"Scene_Class1": "facade",
<strong>		"ConfidencePercent_Scene_Class1": "93.89"
</strong>	}
}

OR

{
	"Output": {
		"Image_Class": "outdoor",
		"ConfidencePercent_Image_Class": "100.0",
		"Scene_Class1": "balcony-garden",
		"ConfidencePercent_Scene_Class1": "36.92",
		"Scene_Class2": "facade",
		"ConfidencePercent_Scene_Class2": "59.15"
	}
}

OR

{
	"Output": {
		"Image_Class": "indoor",
		"ConfidencePercent_Image_Class": "100.0",
		"Room_Class": "bedroom",
		"ConfidencePercent_Room_Class": "99.22"
	}
}

OR

{
	"Output": {
		"Image_Class": "indoor",
		"ConfidencePercent_Image_Class": "99.9",
		"Room_Class": "other_room",
		"ConfidencePercent_Room_Class": "96.18",
		"Room_Subclass": "hall_corridor",
		"ConfidencePercent_Room_Subclass": "87.85"
	}
}
</code></pre>

{% endtab %}

{% tab title="400: Bad Request Mislukte reactie" %}

```
{
  "detail": "Please upload an image with one of the following formats: .jpg, .jpeg or .png"
}
```

{% endtab %}
{% endtabs %}

## URL

<mark style="color:green;">`POST`</mark> `https://api.altum.ai/labelling/url`

In plaats van het afbeeldingsbestand te uploaden, kunt u met dit eindpunt in plaats daarvan de openbare URL verzenden van de afbeelding die u wilt labelen.

#### Headers

| Name                                        | Type   | Description                                                              |
| ------------------------------------------- | ------ | ------------------------------------------------------------------------ |
| Content-Type                                | string | application/json                                                         |
| x-api-key<mark style="color:red;">\*</mark> | string | API-sleutel van Altum. Maak er een via Mopsus(<https://mopsus.altum.ai>) |

#### Request Body

| Name                                  | Type   | Description                                                           |
| ------------------------------------- | ------ | --------------------------------------------------------------------- |
| url<mark style="color:red;">\*</mark> | string | De openbare URL van de afbeelding die u in het verzoek wilt verzenden |

{% tabs %}
{% tab title="422: Unprocessable Entity Verkeerd invoerformaat" %}

```
{
	"detail": [
		{
			"loc": [
				"body",
				"image"
			],
			"msg": "field required",
			"type": "value_error.missing"
		}
	]
}
```

{% endtab %}

{% tab title="500: Internal Server Error Service is niet beschikbaar en/of niet beschikbaar" %}

```
{
	"message": "Internal server error"
}
```

{% endtab %}

{% tab title="403: Forbidden Verboden" %}

```
{
	"message": "Missing Authentication Token"
}
```

{% endtab %}

{% tab title="401: Unauthorized Geen toegang" %}

```
{
    'Output': 'Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request.'
}
```

{% endtab %}

{% tab title="200: OK Succesvolle reactie" %}

```
{
	"Output": {
		"Image_Class": "outdoor",
		"ConfidencePercent_Image_Class": "99.99",
		"Scene_Class1": "facade",
		"ConfidencePercent_Scene_Class1": "93.89"
	}
}

OR

{
	"Output": {
		"Image_Class": "outdoor",
		"ConfidencePercent_Image_Class": "100.0",
		"Scene_Class1": "balcony-garden",
		"ConfidencePercent_Scene_Class1": "36.92",
		"Scene_Class2": "facade",
		"ConfidencePercent_Scene_Class2": "59.15"
	}
}

OR

{
	"Output": {
		"Image_Class": "indoor",
		"ConfidencePercent_Image_Class": "100.0",
		"Room_Class": "bedroom",
		"ConfidencePercent_Room_Class": "99.22"
	}
}

OR

{
	"Output": {
		"Image_Class": "indoor",
		"ConfidencePercent_Image_Class": "99.9",
		"Room_Class": "other_room",
		"ConfidencePercent_Room_Class": "96.18",
		"Room_Subclass": "hall_corridor",
		"ConfidencePercent_Room_Subclass": "87.85"
	}
}
```

{% endtab %}

{% tab title="400: Bad Request Mislukte reactie" %}

```
{
  "detail": "The URL is not valid"
}
```

{% endtab %}
{% endtabs %}

## Request body

#### Voorbeeld verzoek

```
{"url":"https://cloud.funda.nl/valentina_media/149/998/977_1440x960.jpg"}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.altum.ai/taxeren-en-waarderen/foto-labelen-api/authenticatie-invoer-en-resultaat.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
